Name: x11-driver-video-suncg14
Version: 1.1.0
Release: %mkrel 7
Summary: The X.org driver for sun cg14 Cards
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-suncg14-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for sun cg14 Cards


%prep
%setup -q -n xf86-video-suncg14-%{version}

# remove old includes, this file doesn't exist in newer Xserver versions
sed -i 's,#include "xf86Version.h",,' src/cg14_driver.c

%build
# so that it builds with our current version of libtool
autoreconf -fi
%configure --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/suncg14_drv.so
%{_mandir}/man4/suncg14.*


%changelog

* Tue Dec 06 2011 tmb <tmb> 1.1.0-7.mga2
+ Revision: 177695
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.1.0-6.mga2
+ Revision: 153135
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.1.0-5.mga1
+ Revision: 64417
- rebuild for new xserver-1.10

* Fri Feb 11 2011 ahmad <ahmad> 1.1.0-4.mga1
+ Revision: 50611
- remove '#include "xf86Version.h', doesn't exist with current Xserver
- use autoreconf to make the package build with our current version of libtool
- don't ship .la

  + tmb <tmb>
    - imported package x11-driver-video-suncg14


* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-3mdv2008.1
+ Revision: 99049
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2008.0
+ Revision: 75789
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

